# studio::Adjust_Window Class Reference

`#include <adjust_window.h>`

List of all members.

## Public Member Functions

| Adjust_Window (double value, double lower, double upper, double step_increment=1, double page_increment=10, double page_size=0, Gtk::Adjustment *adj=0)
virtual | ~Adjust_Window ()
Gtk::Adjustment * | get_child_adjustment ()
const Gtk::Adjustment * | get_child_adjustment () const
void | set_child_adjustment (Gtk::Adjustment *child)
double | get_sub_lower () const
double | get_sub_upper () const

## Protected Member Functions

virtual void | update_child ()
virtual void | update_fromchild ()

## Constructor & Destructor Documentation

Adjust_Window::Adjust_Window | ( | double | value,
|  | double | lower,
|  | double | upper,
|  | double | step_increment = `1`,
|  | double | page_increment = `10`,
|  | double | page_size = `0`,
|  | Gtk::Adjustment * | adj = `0` |
| ) |  |  |

References set_child_adjustment().

Adjust_Window::~Adjust_Window | ( |  | ) | `[virtual]`

## Member Function Documentation

void Adjust_Window::update_child | ( |  | ) | `[protected, virtual]`

References EPSILON.

Referenced by set_child_adjustment().

void Adjust_Window::update_fromchild | ( |  | ) | `[protected, virtual]`

References EPSILON.

Referenced by set_child_adjustment().

Gtk::Adjustment * Adjust_Window::get_child_adjustment | ( |  | ) |

const Gtk::Adjustment * Adjust_Window::get_child_adjustment | ( |  | ) | const

void Adjust_Window::set_child_adjustment | ( | Gtk::Adjustment * | child | ) |

References update_child(), and update_fromchild().

Referenced by Adjust_Window().

double Adjust_Window::get_sub_lower | ( |  | ) | const

double Adjust_Window::get_sub_upper | ( |  | ) | const

The documentation for this class was generated from the following files:

- adjust_window.h
- adjust_window.cpp